@charset "UTF-8";

:root {
  --font-size: 16px;
  --font-size-smaller: 0.875rem;
  --font-size-smallest: 0.75rem;
  --body-font-weight: 400;
  --body-background: #fdf8f7;
  --body-background-tint: none;
  --body-font-color: black;
  --border-radius: 0.25rem;
  --color-link: #0055bb;
  --color-visited-link: #5500bb;
  --icon-filter: none;
  --gray-100: #faf3f1;
  --gray-200: #eddfdc;
  --gray-500: #adb5bd;
  --color-accent-default: #64748b;
  --color-accent-default-tint: rgba(100, 116, 139, 0.1);
  --color-accent-note: #4486dd;
  --color-accent-note-tint: rgba(68, 134, 221, 0.1);
  --color-accent-tip: #3bad3b;
  --color-accent-tip-tint: rgba(59, 173, 59, 0.1);
  --color-accent-important: #8144dd;
  --color-accent-important-tint: rgba(129, 68, 221, 0.1);
  --color-accent-warning: #f59e42;
  --color-accent-warning-tint: rgba(245, 158, 66, 0.1);
  --color-accent-caution: #d84747;
  --color-accent-caution-tint: rgba(216, 71, 71, 0.1);
  --color-accent-info: #4486dd;
  --color-accent-info-tint: rgba(68, 134, 221, 0.1);
  --color-accent-success: #3bad3b;
  --color-accent-success-tint: rgba(59, 173, 59, 0.1);
  --color-accent-danger: #d84747;
  --color-accent-danger-tint: rgba(216, 71, 71, 0.1);
}

/* modern-normalize v3.0.1 | MIT License | https://github.com/sindresorhus/modern-normalize */

*,
::before,
::after {
  box-sizing: border-box;
}

html {
  font-family: system-ui, segoe ui, Roboto, Helvetica, Arial, sans-serif, apple color emoji, segoe ui emoji;
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  tab-size: 4;
}

body {
  margin: 0;
}

b,
strong {
  font-weight: bolder;
}

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Consolas, liberation mono, Menlo, monospace;
  font-size: 1em;
}

small {
  font-size: 80%;
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

table {
  border-color: initial;
}

button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
}

button,
[type=button],
[type=reset],
[type=submit] {
  -webkit-appearance: button;
}

legend {
  padding: 0;
}

progress {
  vertical-align: baseline;
}

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto;
}

[type=search] {
  -webkit-appearance: textfield;
  outline-offset: -2px;
}

::-webkit-search-decoration {
  -webkit-appearance: none;
}

::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit;
}

summary {
  display: list-item;
}

/* Utility classes */

.flex {
  display: flex;
}

.flex.gap {
  gap: 1rem;
}

.flex-auto {
  flex: auto;
}

.flex-even {
  flex: 1 1;
}

.flex-wrap {
  flex-wrap: wrap;
}

.justify-start {
  justify-content: flex-start;
}

.justify-end {
  justify-content: flex-end;
}

.justify-center {
  justify-content: center;
}

.justify-between {
  justify-content: space-between;
}

.align-center {
  align-items: center;
}

.mx-auto {
  margin: 0 auto;
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}

.text-small,
small {
  font-size: 0.875em;
}

.hidden {
  display: none;
}

input.toggle {
  height: 0;
  width: 0;
  overflow: hidden;
  opacity: 0;
  position: absolute;
}

/* Base styles */

html {
  font-size: var(--font-size);
  scroll-behavior: smooth;
  touch-action: manipulation;
  scrollbar-gutter: stable;
}

body {
  min-width: 20rem;
  color: var(--body-font-color);
  background: var(--body-background) var(--body-background-tint);
  font-weight: var(--body-font-weight);
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: inherit;
}

a {
  flex: auto;
  align-items: center;
  gap: 0.5em;
  text-decoration: none;
  cursor: default;
}

a[href],
a[role=button] {
  color: var(--color-link);
  cursor: pointer;
}

:focus-visible,
input.toggle:focus-visible + label {
  outline-style: auto;
  outline-color: var(--color-link);
}

/* Navigation */

nav ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

nav ul li {
  position: relative;
}

nav ul a {
  padding: 0.5em 0;
  display: flex;
  transition: opacity 0.1s ease-in-out;
}

nav ul a[href]:hover,
nav ul a[role=button]:hover {
  opacity: 0.5;
}

nav ul ul {
  padding-inline-start: 1.5em;
}

ul.pagination {
  display: flex;
  justify-content: center;
  list-style-type: none;
  padding-inline-start: 0;
}

ul.pagination .page-item a {
  padding: 1rem;
}

/* Container */

.container {
  max-width: 90rem;
  margin: 0 auto;
}

/* Book icon */

.book-icon {
  filter: var(--icon-filter);
}

a .book-icon {
  height: 1em;
  width: 1em;
}

/* Book brand */

.book-brand {
  margin-top: 0;
  margin-bottom: 1rem;
}

.book-brand img {
  height: 1.5em;
  width: 1.5em;
}

/* Book menu */

.book-menu {
  flex: 0 0 16rem;
  font-size: var(--font-size-smaller);
}

.book-menu .book-menu-content {
  width: 16rem;
  padding: 1rem;
  position: fixed;
  top: 0;
  bottom: 0;
  overflow-x: hidden;
  overflow-y: auto;
}

.book-menu a,
.book-menu label {
  color: inherit;
  word-wrap: break-word;
  display: flex;
}

.book-menu a.active {
  color: var(--color-link);
}

.book-menu label > img:last-child {
  height: 1em;
  width: 1em;
  cursor: pointer;
  align-self: center;
  transition: transform 0.1s ease-in-out;
}

.book-menu input.toggle + label + ul {
  display: none;
}

.book-menu input.toggle:checked + label > img:last-child {
  transform: rotate(90deg);
}

.book-menu input.toggle:checked + label + ul {
  display: block;
}

body[dir=rtl] .book-menu input.toggle + label > img:last-child {
  transform: rotate(180deg);
}

body[dir=rtl] .book-menu input.toggle:checked + label > img:last-child {
  transform: rotate(90deg);
}

/* Book section flat */

.book-section-flat {
  margin: 1rem 0;
}

.book-section-flat > a,
.book-section-flat > span,
.book-section-flat > label {
  font-weight: bolder;
}

.book-section-flat > ul {
  padding-inline-start: 0;
}

/* Book page */

.book-page {
  min-width: 20rem;
  flex-grow: 1;
  padding: 1rem;
}

/* Book post */

.book-post {
  margin-bottom: 4rem;
}

.book-post .book-post-date img {
  height: 1em;
  width: 1em;
  margin-inline-end: 0.5em;
}

.book-post .book-post-content {
  margin-top: 1rem;
}

.book-post .book-post-thumbnail {
  flex: 0 0 34%;
}

.book-post .book-post-thumbnail img {
  width: 100%;
  aspect-ratio: 4/3;
  object-fit: cover;
}

/* Book header */

.book-header {
  margin-bottom: 1rem;
}

.book-header label {
  line-height: 0;
}

.book-header h3 {
  overflow: hidden;
  text-overflow: ellipsis;
  margin: 0 1rem;
}

/* Book layout landing */

.book-layout-landing .book-header {
  display: block;
  position: relative;
  z-index: 1;
}

.book-layout-landing .book-header nav > ul {
  display: flex;
  gap: 1rem;
  justify-content: end;
}

.book-layout-landing .book-header nav > ul > li {
  display: block;
  white-space: nowrap;
}

.book-layout-landing .book-header nav > ul > li > ul {
  display: none;
  position: absolute;
  padding: 0;
}

.book-layout-landing .book-header nav > ul > li:hover > ul,
.book-layout-landing .book-header nav > ul > li:focus-within > ul {
  display: block;
}

/* Book search */

.book-search {
  position: relative;
  margin: 0.5rem 0;
}

.book-search input {
  width: 100%;
  padding: 0.5rem;
  border: 1px solid var(--gray-200);
  border-radius: var(--border-radius);
  background: var(--gray-100);
  color: var(--body-font-color);
}

.book-search input:required + .book-search-spinner {
  display: block;
}

.book-search .book-search-spinner {
  position: absolute;
  top: 0;
  margin: 0.5rem;
  margin-inline-start: calc(100% - 1.5rem);
  width: 1rem;
  height: 1rem;
  border: 1px solid transparent;
  border-top-color: var(--body-font-color);
  border-radius: 50%;
  animation: spin 1s ease infinite;
}

@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}

.book-search ul a {
  padding-bottom: 0;
}

.book-search small {
  opacity: 0.5;
}

/* Book TOC */

.book-toc {
  flex: 0 0 16rem;
  font-size: var(--font-size-smallest);
}

.book-toc .book-toc-content {
  width: 16rem;
  padding: 1rem;
  position: fixed;
  top: 0;
  bottom: 0;
  overflow-x: hidden;
  overflow-y: auto;
}

.book-toc a {
  display: block;
}

.book-toc img {
  height: 1em;
  width: 1em;
}

.book-toc nav > ul > li:first-child {
  margin-top: 0;
}

/* Book footer */

.book-footer {
  padding-top: 1rem;
  font-size: var(--font-size-smaller);
}

.book-footer a {
  margin: 0.25rem 0;
  padding: 0.25rem 0;
}

/* Book comments, copyright, languages */

.book-comments {
  margin-top: 1rem;
}

.book-copyright {
  margin-top: 1rem;
}

.book-languages {
  margin-bottom: 1rem;
}

.book-languages span {
  padding: 0;
}

.book-languages ul {
  padding-inline-start: 1.5em;
}

/* Transitions for menu/toc content */

.book-menu-content,
.book-toc-content {
  transition: 0.2s ease-in-out;
  transition-property: transform, margin, opacity, visibility;
  will-change: transform, margin, opacity;
}

/* Responsive: small screens */

@media screen and (max-width: 56rem) {
  .book-menu {
    visibility: hidden;
    margin-inline-start: -16rem;
    z-index: 1;
  }

  .book-menu .book-menu-content {
    background: var(--body-background);
  }

  .book-toc {
    display: none;
  }

  .book-header {
    display: block;
  }

  .book-post-container {
    flex-direction: column-reverse;
  }

  #menu-control,
  #toc-control {
    display: inline;
  }

  #menu-control:checked ~ main .book-menu {
    visibility: initial;
  }

  #menu-control:checked ~ main .book-menu .book-menu-content {
    transform: translateX(16rem);
    box-shadow: 0 0 0.5rem rgba(0, 0, 0, 0.1);
  }

  #menu-control:checked ~ main .book-page {
    opacity: 0.25;
  }

  #menu-control:checked ~ main .book-menu-overlay {
    display: block;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
  }

  #toc-control:checked ~ main .book-header aside {
    display: block;
  }

  body[dir=rtl] #menu-control:checked ~ main .book-menu .book-menu-content {
    transform: translateX(-16rem);
  }
}

/* Responsive: large screens */

@media screen and (min-width: 90rem) {
  main {
    gap: 1rem;
    padding: 1rem;
  }

  .book-menu .book-menu-content,
  .book-toc .book-toc-content {
    top: 1rem;
  }
}

/* Print */

@media print {
  .book-menu,
  .book-footer,
  .book-toc {
    display: none;
  }

  .book-header,
  .book-header aside {
    display: block;
  }

  main {
    display: block !important;
  }
}

/* Markdown content */

.markdown {
  line-height: 1.6;
}

.markdown > :first-child {
  margin-top: 0;
}

.markdown h1,
.markdown h2,
.markdown h3,
.markdown h4,
.markdown h5,
.markdown h6 {
  font-weight: inherit;
  line-height: 1;
  margin-top: 1.5em;
  margin-bottom: 1rem;
}

.markdown h1 a.anchor,
.markdown h2 a.anchor,
.markdown h3 a.anchor,
.markdown h4 a.anchor,
.markdown h5 a.anchor,
.markdown h6 a.anchor {
  opacity: 0;
  font-size: 0.75em;
  margin-inline-start: 0.25em;
}

.markdown h1:hover a.anchor,
.markdown h1 a.anchor:focus-visible,
.markdown h2:hover a.anchor,
.markdown h2 a.anchor:focus-visible,
.markdown h3:hover a.anchor,
.markdown h3 a.anchor:focus-visible,
.markdown h4:hover a.anchor,
.markdown h4 a.anchor:focus-visible,
.markdown h5:hover a.anchor,
.markdown h5 a.anchor:focus-visible,
.markdown h6:hover a.anchor,
.markdown h6 a.anchor:focus-visible {
  opacity: initial;
  text-decoration: none;
}

.markdown h1 {
  font-size: 2rem;
}

.markdown h2 {
  font-size: 1.5rem;
}

.markdown h3 {
  font-size: 1.25rem;
}

.markdown h4 {
  font-size: 1.125rem;
}

.markdown h5 {
  font-size: 1rem;
}

.markdown h6 {
  font-size: 0.875rem;
}

.markdown b,
.markdown optgroup,
.markdown strong {
  font-weight: bolder;
}

.markdown a {
  text-decoration: none;
}

.markdown a[href]:hover {
  text-decoration: underline;
}

.markdown a[href]:visited {
  color: var(--color-visited-link);
}

.markdown img {
  max-width: 100%;
  height: auto;
}

.markdown code {
  direction: ltr;
  unicode-bidi: embed;
  padding: 0.125em 0.25em;
  background: var(--gray-100);
  border: 1px solid var(--gray-200);
  border-radius: var(--border-radius);
  font-size: 0.875em;
}

.markdown pre {
  padding: 1rem;
  background: var(--gray-100);
  border: 1px solid var(--gray-200);
  border-radius: var(--border-radius);
  overflow-x: auto;
}

.markdown pre:focus {
  outline-style: auto;
  outline-color: var(--color-link);
}

.markdown pre code {
  padding: 0;
  border: 0;
  background: 0 0;
}

.markdown p {
  word-wrap: break-word;
}

.markdown blockquote {
  margin: 1rem 0;
  padding: 0.5rem 1rem 0.5rem 0.75rem;
  border-inline-start: 0.25rem solid var(--gray-200);
  border-radius: var(--border-radius);
}

.markdown blockquote :first-child {
  margin-top: 0;
}

.markdown blockquote :last-child {
  margin-bottom: 0;
}

.markdown table {
  overflow: auto;
  display: block;
  border-spacing: 0;
  border-collapse: collapse;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.markdown table tr th,
.markdown table tr td {
  padding: 0.5rem 1rem;
  border: 1px solid var(--gray-200);
  text-align: start;
}

.markdown table tr:nth-child(2n) {
  background: var(--gray-100);
}

.markdown hr {
  height: 1px;
  border: none;
  background: var(--gray-200);
}

.markdown ul,
.markdown ol {
  padding-inline-start: 2rem;
  word-wrap: break-word;
}

.markdown dl dt {
  display: inline;
  font-weight: bolder;
}

.markdown dl dt::after {
  content: " ";
}

.markdown dl dd {
  display: inline;
  margin-inline-start: 0;
}

.markdown dl dd::after {
  content: "";
  display: block;
  margin-bottom: 0.5rem;
}

.markdown .highlight {
  direction: ltr;
  unicode-bidi: embed;
  border-radius: var(--border-radius);
}

.markdown .highlight table tbody {
  border: 1px solid var(--gray-200);
}

.markdown .highlight table tr pre {
  border: 0;
}

.markdown .highlight table tr td pre code > span {
  display: flex;
}

.markdown .highlight table tr td:nth-child(1) pre {
  margin: 0;
  padding-inline-end: 0;
}

.markdown .highlight table tr td:nth-child(2) pre {
  margin: 0;
  padding-inline-start: 0;
}

.markdown details {
  padding: 1rem;
  margin: 1rem 0;
  border: 1px solid var(--gray-200);
  border-radius: var(--border-radius);
}

.markdown details summary {
  line-height: 1;
  padding: 1rem;
  margin: -1rem;
  cursor: pointer;
  list-style: none;
}

.markdown details summary::before {
  content: "\203A";
  display: inline-block;
  margin-inline-end: 0.5rem;
  transition: transform 0.1s ease-in-out;
}

.markdown details[open] summary {
  margin-bottom: 0;
}

.markdown details[open] summary::before {
  transform: rotate(90deg);
}

.markdown figure {
  margin: 1rem 0;
}

.markdown figure figcaption {
  margin-top: 1rem;
}

.markdown-inner > :first-child,
.markdown .book-steps > ol > li > :first-child,
.markdown figure figcaption > :first-child {
  margin-top: 0;
}

.markdown-inner > :last-child,
.markdown .book-steps > ol > li > :last-child,
.markdown figure figcaption > :last-child {
  margin-bottom: 0;
}

/* Book tabs */

.markdown .book-tabs {
  margin-top: 1rem;
  margin-bottom: 1rem;
  border: 1px solid var(--gray-200);
  border-radius: var(--border-radius);
  display: flex;
  flex-wrap: wrap;
}

.markdown .book-tabs label {
  display: inline-block;
  padding: 0.5rem 1rem;
  border-bottom: 1px transparent;
  cursor: pointer;
}

.markdown .book-tabs .book-tabs-content {
  order: 999;
  width: 100%;
  border-top: 1px solid var(--gray-100);
  padding: 1rem;
  display: none;
}

.markdown .book-tabs input[type=radio]:checked + label {
  border-bottom: 1px solid var(--color-link);
}

.markdown .book-tabs input[type=radio]:checked + label + .book-tabs-content {
  display: block;
}

/* Book columns */

.markdown .book-columns {
  gap: 1rem;
}

.markdown .book-columns > div {
  margin: 1rem 0;
  min-width: 13.2rem;
}

.markdown .book-columns > ul {
  list-style: none;
  display: flex;
  padding: 0;
  flex-wrap: wrap;
  gap: 1rem;
}

.markdown .book-columns > ul > li {
  flex: 1 1;
  min-width: 13.2rem;
}

/* Book button */

.markdown a.book-btn[href] {
  display: inline-block;
  font-size: var(--font-size-smaller);
  color: var(--color-link);
  line-height: 2rem;
  padding: 0 1rem;
  border: 1px solid var(--color-link);
  border-radius: var(--border-radius);
  cursor: pointer;
}

.markdown a.book-btn[href]:hover {
  text-decoration: none;
}

/* Book hints */

.markdown .book-hint.note {
  border-color: var(--color-accent-note);
  background-color: var(--color-accent-note-tint);
}

.markdown .book-hint.tip {
  border-color: var(--color-accent-tip);
  background-color: var(--color-accent-tip-tint);
}

.markdown .book-hint.important {
  border-color: var(--color-accent-important);
  background-color: var(--color-accent-important-tint);
}

.markdown .book-hint.warning {
  border-color: var(--color-accent-warning);
  background-color: var(--color-accent-warning-tint);
}

.markdown .book-hint.caution {
  border-color: var(--color-accent-caution);
  background-color: var(--color-accent-caution-tint);
}

.markdown .book-hint.default {
  border-color: var(--color-accent-default);
  background-color: var(--color-accent-default-tint);
}

.markdown .book-hint.info {
  border-color: var(--color-accent-info);
  background-color: var(--color-accent-info-tint);
}

.markdown .book-hint.success {
  border-color: var(--color-accent-success);
  background-color: var(--color-accent-success-tint);
}

.markdown .book-hint.danger {
  border-color: var(--color-accent-danger);
  background-color: var(--color-accent-danger-tint);
}

/* Book badge */

.markdown .book-badge {
  display: inline-block;
  font-size: var(--font-size-smaller);
  font-weight: var(--body-font-weight);
  vertical-align: middle;
  border-radius: var(--border-radius);
  border: 1px solid var(--accent-color);
  overflow: hidden;
  text-wrap: nowrap;
  color: var(--body-font-color);
}

.markdown .book-badge.note {
  --accent-color: var(--color-accent-note);
}

.markdown .book-badge.tip {
  --accent-color: var(--color-accent-tip);
}

.markdown .book-badge.important {
  --accent-color: var(--color-accent-important);
}

.markdown .book-badge.warning {
  --accent-color: var(--color-accent-warning);
}

.markdown .book-badge.caution {
  --accent-color: var(--color-accent-caution);
}

.markdown .book-badge.default {
  --accent-color: var(--color-accent-default);
}

.markdown .book-badge.info {
  --accent-color: var(--color-accent-info);
}

.markdown .book-badge.success {
  --accent-color: var(--color-accent-success);
}

.markdown .book-badge.danger {
  --accent-color: var(--color-accent-danger);
}

.markdown .book-badge span {
  display: inline-block;
  padding: 0 0.5rem;
}

.markdown .book-badge span.book-badge-value {
  color: var(--body-background);
  background-color: var(--accent-color);
}

/* Book steps */

.markdown .book-steps {
  position: relative;
}

.markdown .book-steps > ol {
  counter-reset: steps;
  list-style: none;
  padding-inline-start: 1.25rem;
  margin-top: 2rem;
}

.markdown .book-steps > ol > li::before {
  content: counter(steps);
  counter-increment: steps;
  position: absolute;
  display: flex;
  justify-content: center;
  left: 0.5rem;
  height: 1.5rem;
  width: 1.5rem;
  padding: 0.25rem;
  border-radius: 0.5rem;
  white-space: nowrap;
  line-height: 1rem;
  color: var(--body-background);
  background: var(--gray-500);
  outline: 0.25rem solid var(--body-background);
}

.markdown .book-steps > ol > li {
  border-inline-start: 1px solid var(--gray-500);
  padding-inline-start: 3rem;
  padding-bottom: 2rem;
}

.markdown .book-steps > ol > li:last-child {
  border: 0;
}

/* Book card */

.markdown .book-card {
  display: block;
  overflow: hidden;
  height: 100%;
  border-radius: var(--border-radius);
  border: 1px solid var(--gray-200);
}

.markdown .book-card > a {
  display: block;
  height: 100%;
}

.markdown .book-card > a[href],
.markdown .book-card > a[href]:visited {
  color: var(--body-font-color);
}

.markdown .book-card > a[href]:hover {
  text-decoration: none;
  background: var(--gray-100);
}

.markdown .book-card > a > img,
.markdown .book-card > img {
  width: 100%;
  display: block;
  aspect-ratio: 4/3;
  object-fit: cover;
}

.markdown .book-card .markdown-inner,
.markdown .book-card figure figcaption,
.markdown figure .book-card figcaption,
.markdown .book-card .book-steps > ol > li {
  padding: 1rem;
}

/* Book image */

.markdown .book-image input + img {
  cursor: zoom-in;
  transition: transform 0.2s ease-in-out;
}

.markdown .book-image input:checked + img {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: var(--body-background);
  object-fit: contain;
  width: 100%;
  height: 100%;
  z-index: 1;
  cursor: zoom-out;
  padding: 1rem;
}

/* Book asciinema */

.markdown .book-asciinema {
  margin: 1rem 0;
}

/* Book hero */

.markdown .book-hero {
  min-height: 24rem;
  align-content: center;
}

.markdown .book-hero h1 {
  font-size: 3em;
}

/* Book codeblock filename */

.markdown .book-codeblock-filename {
  background: var(--gray-100);
  border: 1px solid var(--gray-200);
  border-bottom: 0;
  font-size: var(--font-size-smaller);
  margin-top: 1rem;
  padding: 0.25rem 0.5rem;
  border-start-start-radius: var(--border-radius);
  border-start-end-radius: var(--border-radius);
}

.markdown .book-codeblock-filename a {
  color: var(--body-font-color);
}

.markdown .book-codeblock-filename + .highlight pre {
  margin-top: 0;
  border-start-start-radius: 0;
  border-start-end-radius: 0;
}

/* Book search form */

.book-search-form {
  display: flex;
  gap: 0.25rem;
}

.book-search-form input {
  flex: 1;
  min-width: 0;
}

.book-search-form select {
  padding: 0.25rem;
  border: 1px solid var(--gray-200);
  border-radius: 0.25rem;
  background: var(--body-background);
  color: var(--body-font-color);
  font-size: 0.75rem;
  cursor: pointer;
}

/* Table and figure overrides */

.markdown table {
  display: table;
  width: auto;
}

.markdown figure {
  text-align: center;
}

.markdown figure figcaption {
  margin-top: 0.25rem;
  font-size: 0.85em;
  color: var(--body-font-color);
  opacity: 0.6;
  text-align: center;
}
